# HG changeset patch
# Node ID d951a51f27a8
# Parent  2b1bad1dbeb7
diff --git a/pidgin/gtkaccount.c b/pidgin/gtkaccount.c
--- a/pidgin/gtkaccount.c
+++ b/pidgin/gtkaccount.c
@@ -277,7 +277,7 @@
 	gboolean opt_noscreenname = (dialog->protocol != NULL &&
 		(purple_protocol_get_options(dialog->protocol) & OPT_PROTO_REGISTER_NOSCREENNAME));
 	gboolean username_valid = purple_validate(dialog->protocol,
-		gtk_entry_get_text(entry));
+		gtk_editable_get_text(GTK_EDITABLE(entry)));
 
 	if (dialog->ok_button) {
 		if (opt_noscreenname && dialog->register_button &&
@@ -308,14 +308,14 @@
 	int register_noscreenname = (opt_noscreenname && register_checked);
 
 	if (register_noscreenname) {
-		gtk_entry_set_text(GTK_ENTRY(dialog->username_entry), "");
+		gtk_editable_set_text(GTK_EDITABLE(dialog->username_entry), "");
 	}
 	gtk_widget_set_sensitive(dialog->username_entry, !register_noscreenname);
 
 	if (dialog->ok_button) {
 		gtk_widget_set_sensitive(dialog->ok_button,
 			(opt_noscreenname && register_checked) ||
-			*gtk_entry_get_text(GTK_ENTRY(dialog->username_entry))
+			*gtk_editable_get_text(GTK_EDITABLE(dialog->username_entry))
 				!= '\0');
 	}
 }
@@ -571,15 +571,17 @@
 		if (value == NULL)
 			value = purple_account_user_split_get_default_value(split);
 
-		if (value != NULL && entry != NULL)
-			gtk_entry_set_text(GTK_ENTRY(entry), value);
+		if (value != NULL && entry != NULL) {
+			gtk_editable_set_text(GTK_EDITABLE(entry), value);
+		}
 	}
 
 	g_list_free_full(user_splits,
 	                 (GDestroyNotify)purple_account_user_split_destroy);
 
-	if (username != NULL)
-		gtk_entry_set_text(GTK_ENTRY(dialog->username_entry), username);
+	if (username != NULL) {
+		gtk_editable_set_text(GTK_EDITABLE(dialog->username_entry), username);
+	}
 
 	g_free(username);
 
@@ -690,9 +692,10 @@
 		gpointer data = NULL;
 		size_t len = 0;
 
-		if (purple_account_get_private_alias(dialog->account))
-			gtk_entry_set_text(GTK_ENTRY(dialog->alias_entry),
-							   purple_account_get_private_alias(dialog->account));
+		if (purple_account_get_private_alias(dialog->account)) {
+			gtk_editable_set_text(GTK_EDITABLE(dialog->alias_entry),
+			                      purple_account_get_private_alias(dialog->account));
+		}
 
 		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(dialog->icon_check),
 					     !purple_account_get_bool(dialog->account, "use-global-buddyicon",
@@ -828,7 +831,7 @@
 				g_snprintf(buf, sizeof(buf), "%d", int_value);
 
 				opt_entry->widget = entry = gtk_entry_new();
-				gtk_entry_set_text(GTK_ENTRY(entry), buf);
+				gtk_editable_set_text(GTK_EDITABLE(entry), buf);
 
 				title = g_strdup_printf("_%s:",
 						purple_account_option_get_text(option));
@@ -874,11 +877,12 @@
 					gtk_entry_set_visibility(GTK_ENTRY(entry), FALSE);
 				}
 
-				if (str_value != NULL && str_hints)
-					gtk_entry_set_text(GTK_ENTRY(gtk_bin_get_child(GTK_BIN(entry))),
-					                   str_value);
-				else
-					gtk_entry_set_text(GTK_ENTRY(entry), str_value ? str_value : "");
+				if (str_value != NULL && str_hints) {
+					gtk_editable_set_text(GTK_EDITABLE(gtk_bin_get_child(GTK_BIN(entry))),
+					                      str_value);
+				} else {
+					gtk_editable_set_text(GTK_EDITABLE(entry), str_value ? str_value : "");
+				}
 
 				title = g_strdup_printf("_%s:",
 						purple_account_option_get_text(option));
@@ -1119,22 +1123,25 @@
 
 		dialog->new_proxy_type = purple_proxy_info_get_proxy_type(proxy_info);
 
-		if ((value = purple_proxy_info_get_host(proxy_info)) != NULL)
-			gtk_entry_set_text(GTK_ENTRY(dialog->proxy_host_entry), value);
+		if ((value = purple_proxy_info_get_host(proxy_info)) != NULL) {
+			gtk_editable_set_text(GTK_EDITABLE(dialog->proxy_host_entry), value);
+		}
 
 		if ((int_val = purple_proxy_info_get_port(proxy_info)) != 0) {
 			char buf[11];
 
 			g_snprintf(buf, sizeof(buf), "%d", int_val);
 
-			gtk_entry_set_text(GTK_ENTRY(dialog->proxy_port_entry), buf);
+			gtk_editable_set_text(GTK_EDITABLE(dialog->proxy_port_entry), buf);
 		}
 
-		if ((value = purple_proxy_info_get_username(proxy_info)) != NULL)
-			gtk_entry_set_text(GTK_ENTRY(dialog->proxy_user_entry), value);
-
-		if ((value = purple_proxy_info_get_password(proxy_info)) != NULL)
-			gtk_entry_set_text(GTK_ENTRY(dialog->proxy_pass_entry), value);
+		if ((value = purple_proxy_info_get_username(proxy_info)) != NULL) {
+			gtk_editable_set_text(GTK_EDITABLE(dialog->proxy_user_entry), value);
+		}
+
+		if ((value = purple_proxy_info_get_password(proxy_info)) != NULL) {
+			gtk_editable_set_text(GTK_EDITABLE(dialog->proxy_pass_entry), value);
+		}
 
 	} else
 		dialog->new_proxy_type = PURPLE_PROXY_USE_GLOBAL;
@@ -1254,7 +1261,7 @@
 	manager = purple_account_manager_get_default();
 
 	/* Build the username string. */
-	username = g_strdup(gtk_entry_get_text(GTK_ENTRY(dialog->username_entry)));
+	username = g_strdup(gtk_editable_get_text(GTK_EDITABLE(dialog->username_entry)));
 
 	if (dialog->protocol != NULL)
 	{
@@ -1267,7 +1274,7 @@
 			GtkEntry *entry = l2->data;
 			char sep[2] = " ";
 
-			value = entry ? gtk_entry_get_text(entry) : "";
+			value = entry ? gtk_editable_get_text(GTK_EDITABLE(entry)) : "";
 			if (!value)
 				value = "";
 
@@ -1314,7 +1321,7 @@
 	}
 
 	/* Alias */
-	value = gtk_entry_get_text(GTK_ENTRY(dialog->alias_entry));
+	value = gtk_editable_get_text(GTK_EDITABLE(dialog->alias_entry));
 
 	if (*value != '\0')
 		purple_account_set_private_alias(account, value);
@@ -1383,12 +1390,12 @@
 					if (GTK_IS_COMBO_BOX(opt_entry->widget))
 						value = gtk_combo_box_text_get_active_text(GTK_COMBO_BOX_TEXT(opt_entry->widget));
 					else
-						value = gtk_entry_get_text(GTK_ENTRY(opt_entry->widget));
+						value = gtk_editable_get_text(GTK_EDITABLE(opt_entry->widget));
 					purple_account_set_string(account, opt_entry->setting, value);
 					break;
 
 				case PURPLE_PREF_INT:
-					int_value = atoi(gtk_entry_get_text(GTK_ENTRY(opt_entry->widget)));
+					int_value = atoi(gtk_editable_get_text(GTK_EDITABLE(opt_entry->widget)));
 					purple_account_set_int(account, opt_entry->setting, int_value);
 					break;
 
@@ -1424,7 +1431,7 @@
 	purple_proxy_info_set_proxy_type(proxy_info, dialog->new_proxy_type);
 
 	/* Host */
-	value = gtk_entry_get_text(GTK_ENTRY(dialog->proxy_host_entry));
+	value = gtk_editable_get_text(GTK_EDITABLE(dialog->proxy_host_entry));
 
 	if (*value != '\0')
 		purple_proxy_info_set_host(proxy_info, value);
@@ -1432,7 +1439,7 @@
 		purple_proxy_info_set_host(proxy_info, NULL);
 
 	/* Port */
-	value = gtk_entry_get_text(GTK_ENTRY(dialog->proxy_port_entry));
+	value = gtk_editable_get_text(GTK_EDITABLE(dialog->proxy_port_entry));
 
 	if (*value != '\0')
 		purple_proxy_info_set_port(proxy_info, atoi(value));
@@ -1440,7 +1447,7 @@
 		purple_proxy_info_set_port(proxy_info, 0);
 
 	/* Username */
-	value = gtk_entry_get_text(GTK_ENTRY(dialog->proxy_user_entry));
+	value = gtk_editable_get_text(GTK_EDITABLE(dialog->proxy_user_entry));
 
 	if (*value != '\0')
 		purple_proxy_info_set_username(proxy_info, value);
@@ -1448,7 +1455,7 @@
 		purple_proxy_info_set_username(proxy_info, NULL);
 
 	/* Password */
-	value = gtk_entry_get_text(GTK_ENTRY(dialog->proxy_pass_entry));
+	value = gtk_editable_get_text(GTK_EDITABLE(dialog->proxy_pass_entry));
 
 	if (*value != '\0')
 		purple_proxy_info_set_password(proxy_info, value);
diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -392,10 +392,10 @@
 	else
 		g_return_if_reached();
 
-	if (GTK_IS_ENTRY (editable)) {
-		GtkEntry *entry = GTK_ENTRY (editable);
-		gtk_entry_set_text(entry, text);
-	}
+	if(GTK_IS_EDITABLE(editable)) {
+		gtk_editable_set_text(GTK_EDITABLE(editable), text);
+	}
+
 	editing_blist = TRUE;
 }
 
@@ -732,7 +732,7 @@
 			{
 				g_hash_table_replace(components,
 					g_strdup(g_object_get_data(tmp->data, "identifier")),
-					g_strdup(gtk_entry_get_text(tmp->data)));
+					g_strdup(gtk_editable_get_text(GTK_EDITABLE(tmp->data))));
 			}
 		}
 
@@ -785,7 +785,7 @@
 		if (!g_object_get_data(tmp->data, "is_spin"))
 		{
 			required = GPOINTER_TO_INT(g_object_get_data(tmp->data, "required"));
-			text = gtk_entry_get_text(tmp->data);
+			text = gtk_editable_get_text(GTK_EDITABLE(tmp->data));
 			if (required && (*text == '\0'))
 				sensitive = FALSE;
 		}
@@ -808,7 +808,7 @@
 	const char *text;
 
 	protocol = purple_account_get_protocol(data->rq_data.account);
-	text = gtk_entry_get_text(GTK_ENTRY(entry));
+	text = gtk_editable_get_text(GTK_EDITABLE(entry));
 
 	gtk_dialog_set_response_sensitive(GTK_DIALOG(data->rq_data.window),
 		GTK_RESPONSE_OK, purple_validate(protocol, text));
@@ -993,8 +993,9 @@
 			input = gtk_entry_new();
 			gtk_entry_set_activates_default(GTK_ENTRY(input), TRUE);
 			value = g_hash_table_lookup(defaults, pce->identifier);
-			if (value != NULL)
-				gtk_entry_set_text(GTK_ENTRY(input), value);
+			if(value != NULL) {
+				gtk_editable_set_text(GTK_EDITABLE(input), value);
+			}
 			if (pce->secret)
 			{
 				gtk_entry_set_visibility(GTK_ENTRY(input), FALSE);
@@ -5390,12 +5391,12 @@
 	{
 		PurpleConversationManager *manager;
 
-		who = gtk_entry_get_text(GTK_ENTRY(data->entry));
+		who = gtk_editable_get_text(GTK_EDITABLE(data->entry));
 		grp = pidgin_text_combo_box_entry_get_text(data->combo);
-		whoalias = gtk_entry_get_text(GTK_ENTRY(data->entry_for_alias));
+		whoalias = gtk_editable_get_text(GTK_EDITABLE(data->entry_for_alias));
 		if (*whoalias == '\0')
 			whoalias = NULL;
-		invite = gtk_entry_get_text(GTK_ENTRY(data->entry_for_invite));
+		invite = gtk_editable_get_text(GTK_EDITABLE(data->entry_for_invite));
 		if (*invite == '\0')
 			invite = NULL;
 
@@ -5492,11 +5493,12 @@
 		data->rq_data.sg, data->entry, TRUE, NULL);
 	gtk_widget_grab_focus(data->entry);
 
-	if (username != NULL)
-		gtk_entry_set_text(GTK_ENTRY(data->entry), username);
-	else
+	if (username != NULL) {
+		gtk_editable_set_text(GTK_EDITABLE(data->entry), username);
+	} else {
 		gtk_dialog_set_response_sensitive(GTK_DIALOG(data->rq_data.window),
 		                                  GTK_RESPONSE_OK, FALSE);
+	}
 
 	gtk_entry_set_activates_default (GTK_ENTRY(data->entry), TRUE);
 
@@ -5509,8 +5511,9 @@
 	                          data->rq_data.sg, data->entry_for_alias, TRUE,
 	                          NULL);
 
-	if (alias != NULL)
-		gtk_entry_set_text(GTK_ENTRY(data->entry_for_alias), alias);
+	if (alias != NULL) {
+		gtk_editable_set_text(GTK_EDITABLE(data->entry_for_alias), alias);
+	}
 
 	if (username != NULL)
 		gtk_widget_grab_focus(GTK_WIDGET(data->entry_for_alias));
@@ -5552,7 +5555,7 @@
 		}
 		else
 		{
-			const char *value = gtk_entry_get_text(tmp->data);
+			const char *value = gtk_editable_get_text(GTK_EDITABLE(tmp->data));
 
 			if (*value != '\0')
 				g_hash_table_replace(components,
@@ -5562,7 +5565,7 @@
 	}
 
 	chat = purple_chat_new(data->chat_data.rq_data.account,
-	                       gtk_entry_get_text(GTK_ENTRY(data->alias_entry)),
+	                       gtk_editable_get_text(GTK_EDITABLE(data->alias_entry)),
 	                       components);
 
 	if (chat != NULL) {
@@ -5675,8 +5678,9 @@
 	rebuild_chat_entries((PidginChatData *)data, name);
 
 	data->alias_entry = gtk_entry_new();
-	if (alias != NULL)
-		gtk_entry_set_text(GTK_ENTRY(data->alias_entry), alias);
+	if (alias != NULL) {
+		gtk_editable_set_text(GTK_EDITABLE(data->alias_entry), alias);
+	}
 	gtk_entry_set_activates_default(GTK_ENTRY(data->alias_entry), TRUE);
 
 	pidgin_add_widget_to_vbox(GTK_BOX(vbox), _("A_lias:"),
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -1457,7 +1457,7 @@
 
 	gtkconv = PIDGIN_CONVERSATION(conv);
 	gtkchat = gtkconv->u.chat;
-	new_topic = g_strdup(gtk_entry_get_text(GTK_ENTRY(gtkchat->topic_text)));
+	new_topic = g_strdup(gtk_editable_get_text(GTK_EDITABLE(gtkchat->topic_text)));
 	current_topic = purple_chat_conversation_get_topic(PURPLE_CHAT_CONVERSATION(conv));
 
 	if(current_topic && !g_utf8_collate(new_topic, current_topic)){
@@ -1465,10 +1465,11 @@
 		return;
 	}
 
-	if (current_topic)
-		gtk_entry_set_text(GTK_ENTRY(gtkchat->topic_text), current_topic);
-	else
-		gtk_entry_set_text(GTK_ENTRY(gtkchat->topic_text), "");
+	if(current_topic) {
+		gtk_editable_set_text(GTK_EDITABLE(gtkchat->topic_text), current_topic);
+	} else {
+		gtk_editable_set_text(GTK_EDITABLE(gtkchat->topic_text), "");
+	}
 
 	purple_protocol_chat_set_topic(PURPLE_PROTOCOL_CHAT(protocol), gc, purple_chat_conversation_get_id(PURPLE_CHAT_CONVERSATION(conv)),
 			new_topic);
@@ -2621,7 +2622,7 @@
 		{
 			topic = purple_chat_conversation_get_topic(PURPLE_CHAT_CONVERSATION(conv));
 
-			gtk_entry_set_text(GTK_ENTRY(gtkchat->topic_text), topic ? topic : "");
+			gtk_editable_set_text(GTK_EDITABLE(gtkchat->topic_text), topic ? topic : "");
 			gtk_widget_set_tooltip_text(gtkchat->topic_text,
 			                            topic ? topic : "");
 		}
@@ -2653,7 +2654,7 @@
 			}
 		} else if (PURPLE_IS_CHAT_CONVERSATION(conv)) {
 			const char *topic = gtkconv->u.chat->topic_text
-				? gtk_entry_get_text(GTK_ENTRY(gtkconv->u.chat->topic_text))
+				? gtk_editable_get_text(GTK_EDITABLE(gtkconv->u.chat->topic_text))
 				: NULL;
 			const char *title = purple_conversation_get_title(conv);
 			const char *name = purple_conversation_get_name(conv);
diff --git a/pidgin/gtkpluginpref.c b/pidgin/gtkpluginpref.c
--- a/pidgin/gtkpluginpref.c
+++ b/pidgin/gtkpluginpref.c
@@ -30,7 +30,7 @@
 entry_cb(GtkWidget *entry, gpointer data) {
 	char *pref = data;
 
-	purple_prefs_set_string(pref, gtk_entry_get_text(GTK_ENTRY(entry)));
+	purple_prefs_set_string(pref, gtk_editable_get_text(GTK_EDITABLE(entry)));
 
 	return FALSE;
 }
@@ -75,7 +75,7 @@
 			if (format == PURPLE_STRING_FORMAT_TYPE_NONE)
 			{
 				entry = gtk_entry_new();
-				gtk_entry_set_text(GTK_ENTRY(entry), purple_prefs_get_string(pref_name));
+				gtk_editable_set_text(GTK_EDITABLE(entry), purple_prefs_get_string(pref_name));
 				gtk_entry_set_max_length(GTK_ENTRY(entry),
 									 purple_plugin_pref_get_max_length(pref));
 				if (purple_plugin_pref_get_masked(pref))
diff --git a/pidgin/gtkrequest.c b/pidgin/gtkrequest.c
--- a/pidgin/gtkrequest.c
+++ b/pidgin/gtkrequest.c
@@ -155,7 +155,7 @@
 		value = multiline_value;
 	}
 	else {
-		value = gtk_entry_get_text(GTK_ENTRY(data->u.input.entry));
+		value = gtk_editable_get_text(GTK_EDITABLE(data->u.input.entry));
 	}
 
 	if (id >= 0 && (gsize)id < data->cb_count && data->cbs[id] != NULL)
@@ -220,7 +220,7 @@
 		value = gtk_text_buffer_get_text(buffer, &start_iter, &end_iter, FALSE);
 	}
 	else
-		value = gtk_entry_get_text(GTK_ENTRY(entry));
+		value = gtk_editable_get_text(GTK_EDITABLE(entry));
 
 	purple_request_field_string_set_value(field,
 			(*value == '\0' ? NULL : value));
@@ -608,7 +608,7 @@
 		gtk_box_pack_start(GTK_BOX(vbox), entry, FALSE, FALSE, 0);
 
 		if(default_value != NULL) {
-			gtk_entry_set_text(GTK_ENTRY(entry), default_value);
+			gtk_editable_set_text(GTK_EDITABLE(entry), default_value);
 		}
 
 		if(masked) {
@@ -1022,7 +1022,7 @@
 	else
 	{
 		const char *text = NULL;
-		text = gtk_entry_get_text(GTK_ENTRY(entry));
+		text = gtk_editable_get_text(GTK_EDITABLE(entry));
 		purple_request_field_string_set_value(field, (*text == '\0') ? NULL : text);
 	}
 }
@@ -1157,8 +1157,9 @@
 
 		setup_entry_field(widget, field);
 
-		if (value != NULL)
-			gtk_entry_set_text(GTK_ENTRY(widget), value);
+		if(value != NULL) {
+			gtk_editable_set_text(GTK_EDITABLE(widget), value);
+		}
 
 		gtk_widget_set_tooltip_text(widget, purple_request_field_get_tooltip(field));
 
diff --git a/pidgin/gtksavedstatuses.c b/pidgin/gtksavedstatuses.c
--- a/pidgin/gtksavedstatuses.c
+++ b/pidgin/gtksavedstatuses.c
@@ -677,7 +677,7 @@
 	GtkTreeModel *model;
 	GtkTreeIter iter;
 
-	title = gtk_entry_get_text(dialog->title);
+	title = gtk_editable_get_text(GTK_EDITABLE(dialog->title));
 
 	/*
 	 * If we're saving this status, and the title is already taken
@@ -801,7 +801,7 @@
 	StatusEditor *dialog = user_data;
 	const gchar *text;
 
-	text = gtk_entry_get_text(dialog->title);
+	text = gtk_editable_get_text(GTK_EDITABLE(dialog->title));
 
 	gtk_widget_set_sensitive(GTK_WIDGET(dialog->saveanduse_button), (*text != '\0'));
 	gtk_widget_set_sensitive(GTK_WIDGET(dialog->save_button), (*text != '\0'));
@@ -1065,7 +1065,9 @@
 	if ((saved_status != NULL)
 			&& !purple_savedstatus_is_transient(saved_status)
 			&& (purple_savedstatus_get_title(saved_status) != NULL))
-		gtk_entry_set_text(GTK_ENTRY(entry), purple_savedstatus_get_title(saved_status));
+	{
+		gtk_editable_set_text(GTK_EDITABLE(entry), purple_savedstatus_get_title(saved_status));
+	}
 	g_signal_connect(G_OBJECT(entry), "changed",
 					 G_CALLBACK(editor_title_changed_cb), dialog);
 	pidgin_add_widget_to_vbox(GTK_BOX(vbox), _("_Title:"), sg, entry, TRUE, NULL);
diff --git a/pidgin/gtkutils.c b/pidgin/gtkutils.c
--- a/pidgin/gtkutils.c
+++ b/pidgin/gtkutils.c
@@ -666,7 +666,7 @@
 
 	val.g_type = 0;
 	gtk_tree_model_get_value(model, iter, COMPLETION_BUDDY_COLUMN, &val);
-	gtk_entry_set_text(GTK_ENTRY(data->entry), g_value_get_string(&val));
+	gtk_editable_set_text(GTK_EDITABLE(data->entry), g_value_get_string(&val));
 	g_value_unset(&val);
 
 	gtk_tree_model_get_value(model, iter, COMPLETION_ACCOUNT_COLUMN, &val);
@@ -1305,7 +1305,7 @@
 combo_box_changed_cb(GtkComboBoxText *combo_box, GtkEntry *entry)
 {
 	char *text = gtk_combo_box_text_get_active_text(combo_box);
-	gtk_entry_set_text(entry, text ? text : "");
+	gtk_editable_set_text(GTK_EDITABLE(entry), text ? text : "");
 	g_free(text);
 }
 
@@ -1334,8 +1334,9 @@
 	ret = GTK_COMBO_BOX_TEXT(gtk_combo_box_text_new_with_entry());
 	the_entry = gtk_bin_get_child(GTK_BIN(ret));
 
-	if (default_item)
-		gtk_entry_set_text(GTK_ENTRY(the_entry), default_item);
+	if(default_item) {
+		gtk_editable_set_text(GTK_EDITABLE(the_entry), default_item);
+	}
 
 	for (; items != NULL ; items = items->next) {
 		char *text = items->data;
@@ -1354,9 +1355,9 @@
 	return GTK_WIDGET(ret);
 }
 
-const char *pidgin_text_combo_box_entry_get_text(GtkWidget *widget)
-{
-	return gtk_entry_get_text(GTK_ENTRY(gtk_bin_get_child(GTK_BIN((widget)))));
+const char *
+pidgin_text_combo_box_entry_get_text(GtkWidget *widget) {
+	return gtk_editable_get_text(GTK_EDITABLE(gtk_bin_get_child(GTK_BIN((widget)))));
 }
 
 GtkWidget *
diff --git a/pidgin/pidgindebug.c b/pidgin/pidgindebug.c
--- a/pidgin/pidgindebug.c
+++ b/pidgin/pidgindebug.c
@@ -303,7 +303,7 @@
 	PidginDebugWindow *win = (PidginDebugWindow *)data;
 	const gchar *exp = (const gchar *)val;
 
-	gtk_entry_set_text(GTK_ENTRY(win->expression), exp);
+	gtk_editable_set_text(GTK_EDITABLE(win->expression), exp);
 }
 
 static void
@@ -341,7 +341,7 @@
 									 FALSE);
 	}
 
-	text = gtk_entry_get_text(GTK_ENTRY(win->expression));
+	text = gtk_editable_get_text(GTK_EDITABLE(win->expression));
 	purple_prefs_set_string(PIDGIN_PREFS_ROOT "/debug/regex", text);
 
 	if (text == NULL || *text == '\0') {
@@ -621,8 +621,8 @@
 		                               GTK_STYLE_PROVIDER(filter_css),
 		                               GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
 
-		gtk_entry_set_text(GTK_ENTRY(win->expression),
-						   purple_prefs_get_string(PIDGIN_PREFS_ROOT "/debug/regex"));
+		gtk_editable_set_text(GTK_EDITABLE(win->expression),
+		                      purple_prefs_get_string(PIDGIN_PREFS_ROOT "/debug/regex"));
 		purple_prefs_connect_callback(handle, PIDGIN_PREFS_ROOT "/debug/regex",
 									regex_pref_expression_cb, win);
 
diff --git a/pidgin/pidgininvitedialog.c b/pidgin/pidgininvitedialog.c
--- a/pidgin/pidgininvitedialog.c
+++ b/pidgin/pidgininvitedialog.c
@@ -233,7 +233,7 @@
 
 	priv = pidgin_invite_dialog_get_instance_private(dialog);
 
-	return gtk_entry_get_text(GTK_ENTRY(priv->contact));
+	return gtk_editable_get_text(GTK_EDITABLE(priv->contact));
 }
 
 void
@@ -247,7 +247,7 @@
 	priv = pidgin_invite_dialog_get_instance_private(dialog);
 
 	if(contact != NULL) {
-		gtk_entry_set_text(GTK_ENTRY(priv->contact), contact);
+		gtk_editable_set_text(GTK_EDITABLE(priv->contact), contact);
 
 		g_object_notify_by_pspec(G_OBJECT(dialog), properties[PROP_CONTACT]);
 	}
@@ -261,7 +261,7 @@
 
 	priv = pidgin_invite_dialog_get_instance_private(dialog);
 
-	return gtk_entry_get_text(GTK_ENTRY(priv->message));
+	return gtk_editable_get_text(GTK_EDITABLE(priv->message));
 }
 
 void
@@ -275,7 +275,7 @@
 	priv = pidgin_invite_dialog_get_instance_private(dialog);
 
 	if(message != NULL) {
-		gtk_entry_set_text(GTK_ENTRY(priv->message), message);
+		gtk_editable_set_text(GTK_EDITABLE(priv->message), message);
 
 		g_object_notify_by_pspec(G_OBJECT(dialog), properties[PROP_MESSAGE]);
 	}
diff --git a/pidgin/plugins/notify.c b/pidgin/plugins/notify.c
--- a/pidgin/plugins/notify.c
+++ b/pidgin/plugins/notify.c
@@ -603,7 +603,7 @@
 		gtk_widget_set_sensitive(entry, on);
 
 		purple_prefs_set_string("/plugins/gtk/X11/notify/title_string",
-		                      gtk_entry_get_text(GTK_ENTRY(entry)));
+		                        gtk_editable_get_text(GTK_EDITABLE(entry)));
 	}
 
 	apply_method();
@@ -631,7 +631,7 @@
 
 	if (purple_strequal(data, "method_string")) {
 		purple_prefs_set_string("/plugins/gtk/X11/notify/title_string",
-		                      gtk_entry_get_text(GTK_ENTRY(widget)));
+		                        gtk_editable_get_text(GTK_EDITABLE(widget)));
 	}
 
 	apply_method();
@@ -757,8 +757,8 @@
 	gtk_entry_set_max_length(GTK_ENTRY(entry), 10);
 	gtk_widget_set_sensitive(GTK_WIDGET(entry),
 	                         purple_prefs_get_bool("/plugins/gtk/X11/notify/method_string"));
-	gtk_entry_set_text(GTK_ENTRY(entry),
-	                   purple_prefs_get_string("/plugins/gtk/X11/notify/title_string"));
+	gtk_editable_set_text(GTK_EDITABLE(entry),
+	                      purple_prefs_get_string("/plugins/gtk/X11/notify/title_string"));
 	g_object_set_data(G_OBJECT(toggle), "title-entry", entry);
 	g_signal_connect(G_OBJECT(toggle), "toggled",
 	                 G_CALLBACK(method_toggle_cb), "method_string");
diff --git a/pidgin/plugins/spellchk.c b/pidgin/plugins/spellchk.c
--- a/pidgin/plugins/spellchk.c
+++ b/pidgin/plugins/spellchk.c
@@ -1919,7 +1919,7 @@
 static void list_add_new(void)
 {
 	GtkTreeIter iter;
-	const char *word = gtk_entry_get_text(GTK_ENTRY(bad_entry));
+	const char *word = gtk_editable_get_text(GTK_EDITABLE(bad_entry));
 	gboolean case_sensitive = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(case_toggle));
 
 	if (gtk_tree_model_get_iter_first(GTK_TREE_MODEL(model), &iter)) {
@@ -1965,7 +1965,7 @@
 
 				purple_notify_error(NULL, _("Duplicate Correction"),
 					_("The specified word already exists in the correction list."),
-					gtk_entry_get_text(GTK_ENTRY(bad_entry)), NULL);
+					gtk_editable_get_text(GTK_EDITABLE(bad_entry)), NULL);
 				return;
 			}
 
@@ -1980,7 +1980,7 @@
 	gtk_list_store_append(model, &iter);
 	gtk_list_store_set(model, &iter,
 		BAD_COLUMN, word,
-		GOOD_COLUMN, gtk_entry_get_text(GTK_ENTRY(good_entry)),
+		GOOD_COLUMN, gtk_editable_get_text(GTK_EDITABLE(good_entry)),
 		WORD_ONLY_COLUMN, gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(complete_toggle)),
 		CASE_SENSITIVE_COLUMN, case_sensitive,
 		-1);
@@ -2092,8 +2092,8 @@
 static void on_entry_changed(GtkEditable *editable, gpointer data)
 {
 	gtk_widget_set_sensitive((GtkWidget*)data,
-		non_empty(gtk_entry_get_text(GTK_ENTRY(bad_entry))) &&
-		non_empty(gtk_entry_get_text(GTK_ENTRY(good_entry))));
+		non_empty(gtk_editable_get_text(GTK_EDITABLE(bad_entry))) &&
+		non_empty(gtk_editable_get_text(GTK_EDITABLE(good_entry))));
 }
 
 static void whole_words_button_toggled(GtkToggleButton *complete_toggle, GtkToggleButton *case_toggle)
diff --git a/pidgin/plugins/xmppconsole/xmppconsole.c b/pidgin/plugins/xmppconsole/xmppconsole.c
--- a/pidgin/plugins/xmppconsole/xmppconsole.c
+++ b/pidgin/plugins/xmppconsole/xmppconsole.c
@@ -365,7 +365,7 @@
 	const gchar *to;
 	char *stanza;
 
-	to = gtk_entry_get_text(console->iq.to);
+	to = gtk_editable_get_text(GTK_EDITABLE(console->iq.to));
 	stanza = g_strdup_printf(
 	        "<iq %s%s%s id='console%x' type='%s'>", to && *to ? "to='" : "",
 	        to && *to ? to : "", to && *to ? "'" : "", g_random_int(),
@@ -375,7 +375,7 @@
 	g_free(stanza);
 
 	/* Reset everything. */
-	gtk_entry_set_text(console->iq.to, "");
+	gtk_editable_set_text(GTK_EDITABLE(console->iq.to), "");
 	gtk_combo_box_set_active(GTK_COMBO_BOX(console->iq.type), 0);
 	gtk_popover_popdown(console->iq.popover);
 }
@@ -388,7 +388,7 @@
 	gchar *type, *show;
 	char *stanza;
 
-	to = gtk_entry_get_text(console->presence.to);
+	to = gtk_editable_get_text(GTK_EDITABLE(console->presence.to));
 	type = gtk_combo_box_text_get_active_text(console->presence.type);
 	if (purple_strequal(type, "default")) {
 		g_free(type);
@@ -399,8 +399,8 @@
 		g_free(show);
 		show = g_strdup("");
 	}
-	status = gtk_entry_get_text(console->presence.status);
-	priority = gtk_entry_get_text(console->presence.priority);
+	status = gtk_editable_get_text(GTK_EDITABLE(console->presence.status));
+	priority = gtk_editable_get_text(GTK_EDITABLE(console->presence.priority));
 	if (purple_strequal(priority, "0"))
 		priority = "";
 
@@ -434,11 +434,11 @@
 	g_free(show);
 
 	/* Reset everything. */
-	gtk_entry_set_text(console->presence.to, "");
+	gtk_editable_set_text(GTK_EDITABLE(console->presence.to), "");
 	gtk_combo_box_set_active(GTK_COMBO_BOX(console->presence.type), 0);
 	gtk_combo_box_set_active(GTK_COMBO_BOX(console->presence.show), 0);
-	gtk_entry_set_text(console->presence.status, "");
-	gtk_entry_set_text(console->presence.priority, "0");
+	gtk_editable_set_text(GTK_EDITABLE(console->presence.status), "");
+	gtk_editable_set_text(GTK_EDITABLE(console->presence.priority), "0");
 	gtk_popover_popdown(console->presence.popover);
 }
 
@@ -449,10 +449,10 @@
 	const gchar *to, *body, *thread, *subject;
 	char *stanza;
 
-	to = gtk_entry_get_text(console->message.to);
-	body = gtk_entry_get_text(console->message.body);
-	thread = gtk_entry_get_text(console->message.thread);
-	subject = gtk_entry_get_text(console->message.subject);
+	to = gtk_editable_get_text(GTK_EDITABLE(console->message.to));
+	body = gtk_editable_get_text(GTK_EDITABLE(console->message.body));
+	thread = gtk_editable_get_text(GTK_EDITABLE(console->message.thread));
+	subject = gtk_editable_get_text(GTK_EDITABLE(console->message.subject));
 
 	stanza = g_strdup_printf(
 	        "<message %s%s%s id='console%x' type='%s'>"
@@ -476,11 +476,11 @@
 	g_free(stanza);
 
 	/* Reset everything. */
-	gtk_entry_set_text(console->message.to, "");
+	gtk_editable_set_text(GTK_EDITABLE(console->message.to), "");
 	gtk_combo_box_set_active(GTK_COMBO_BOX(console->message.type), 0);
-	gtk_entry_set_text(console->message.body, "");
-	gtk_entry_set_text(console->message.subject, "0");
-	gtk_entry_set_text(console->message.thread, "0");
+	gtk_editable_set_text(GTK_EDITABLE(console->message.body), "");
+	gtk_editable_set_text(GTK_EDITABLE(console->message.subject), "0");
+	gtk_editable_set_text(GTK_EDITABLE(console->message.thread), "0");
 	gtk_popover_popdown(console->message.popover);
 }
 
diff --git a/pidgin/prefs/pidginprefs.c b/pidgin/prefs/pidginprefs.c
--- a/pidgin/prefs/pidginprefs.c
+++ b/pidgin/prefs/pidginprefs.c
@@ -238,7 +238,7 @@
 {
 	const char *key = (const char*)data;
 
-	purple_prefs_set_string(key, gtk_entry_get_text(entry));
+	purple_prefs_set_string(key, gtk_editable_get_text(GTK_EDITABLE(entry)));
 }
 
 GtkWidget *
@@ -251,7 +251,7 @@
 	value = purple_prefs_get_string(key);
 
 	entry = gtk_entry_new();
-	gtk_entry_set_text(GTK_ENTRY(entry), value);
+	gtk_editable_set_text(GTK_EDITABLE(entry), value);
 	g_signal_connect(G_OBJECT(entry), "changed",
 					 G_CALLBACK(entry_set), (char*)key);
 	gtk_widget_show(entry);
@@ -266,7 +266,7 @@
 
 	value = purple_prefs_get_string(key);
 
-	gtk_entry_set_text(GTK_ENTRY(entry), value);
+	gtk_editable_set_text(GTK_EDITABLE(entry), value);
 	g_signal_connect(G_OBJECT(entry), "changed", G_CALLBACK(entry_set),
 			(char*)key);
 }
@@ -282,7 +282,7 @@
 
 	entry = gtk_entry_new();
 	gtk_entry_set_visibility(GTK_ENTRY(entry), FALSE);
-	gtk_entry_set_text(GTK_ENTRY(entry), value);
+	gtk_editable_set_text(GTK_EDITABLE(entry), value);
 	g_signal_connect(G_OBJECT(entry), "changed",
 					 G_CALLBACK(entry_set), (char*)key);
 	gtk_widget_show(entry);
@@ -817,7 +817,7 @@
 static void
 network_ip_changed(GtkEntry *entry, gpointer data)
 {
-	const gchar *text = gtk_entry_get_text(entry);
+	const gchar *text = gtk_editable_get_text(GTK_EDITABLE(entry));
 	GtkStyleContext *context = gtk_widget_get_style_context(GTK_WIDGET(entry));
 
 	if (text && *text) {
@@ -843,8 +843,8 @@
 {
 	GtkEntry *entry = GTK_ENTRY(widget);
 	purple_prefs_set_string("/purple/network/stun_server",
-		gtk_entry_get_text(entry));
-	purple_network_set_stun_server(gtk_entry_get_text(entry));
+		gtk_editable_get_text(GTK_EDITABLE(entry)));
+	purple_network_set_stun_server(gtk_editable_get_text(GTK_EDITABLE(entry)));
 
 	return FALSE;
 }
@@ -855,8 +855,8 @@
 {
 	GtkEntry *entry = GTK_ENTRY(widget);
 	purple_prefs_set_string("/purple/network/turn_server",
-		gtk_entry_get_text(entry));
-	purple_network_set_turn_server(gtk_entry_get_text(entry));
+		gtk_editable_get_text(GTK_EDITABLE(entry)));
+	purple_network_set_turn_server(gtk_editable_get_text(GTK_EDITABLE(entry)));
 
 	return FALSE;
 }
@@ -879,17 +879,17 @@
 {
 	if (entry == win->proxy.host) {
 		purple_prefs_set_string("/purple/proxy/host",
-				gtk_entry_get_text(GTK_ENTRY(entry)));
+				gtk_editable_get_text(GTK_EDITABLE(entry)));
 	} else if (entry == win->proxy.port) {
 		purple_prefs_set_int("/purple/proxy/port",
 				gtk_spin_button_get_value_as_int(
 					GTK_SPIN_BUTTON(entry)));
 	} else if (entry == win->proxy.username) {
 		purple_prefs_set_string("/purple/proxy/username",
-				gtk_entry_get_text(GTK_ENTRY(entry)));
+				gtk_editable_get_text(GTK_EDITABLE(entry)));
 	} else if (entry == win->proxy.password) {
 		purple_prefs_set_string("/purple/proxy/password",
-				gtk_entry_get_text(GTK_ENTRY(entry)));
+				gtk_editable_get_text(GTK_EDITABLE(entry)));
 	}
 }
 
@@ -953,14 +953,14 @@
 	GtkCssProvider *ip_css;
 	const gchar *res = "/im/pidgin/Pidgin3/Prefs/ip.css";
 
-	gtk_entry_set_text(GTK_ENTRY(win->network.stun_server),
+	gtk_editable_set_text(GTK_ENTRY(win->network.stun_server),
 			purple_prefs_get_string("/purple/network/stun_server"));
 
 	pidgin_prefs_bind_checkbox("/purple/network/auto_ip",
 			win->network.auto_ip);
 	auto_ip_button_clicked_cb(win->network.auto_ip, NULL); /* Update label */
 
-	gtk_entry_set_text(GTK_ENTRY(win->network.public_ip),
+	gtk_editable_set_text(GTK_EDITABLE(win->network.public_ip),
 			purple_network_get_public_ip());
 
 	ip_css = gtk_css_provider_new();
@@ -990,7 +990,7 @@
 			win->network.ports_range_end);
 
 	/* TURN server */
-	gtk_entry_set_text(GTK_ENTRY(win->network.turn_server),
+	gtk_editable_set_text(GTK_EDITABLE(win->network.turn_server),
 			purple_prefs_get_string("/purple/network/turn_server"));
 
 	pidgin_prefs_bind_spin_button("/purple/network/turn_port",
@@ -1052,7 +1052,7 @@
 
 		if (proxy_info != NULL) {
 			if (purple_proxy_info_get_host(proxy_info)) {
-				gtk_entry_set_text(GTK_ENTRY(win->proxy.host),
+				gtk_editable_set_text(GTK_EDITABLE(win->proxy.host),
 						purple_proxy_info_get_host(proxy_info));
 			}
 
@@ -1063,12 +1063,12 @@
 			}
 
 			if (purple_proxy_info_get_username(proxy_info) != NULL) {
-				gtk_entry_set_text(GTK_ENTRY(win->proxy.username),
+				gtk_editable_set_text(GTK_EDITABLE(win->proxy.username),
 						purple_proxy_info_get_username(proxy_info));
 			}
 
 			if (purple_proxy_info_get_password(proxy_info) != NULL) {
-				gtk_entry_set_text(GTK_ENTRY(win->proxy.password),
+				gtk_editable_set_text(GTK_EDITABLE(win->proxy.password),
 						purple_proxy_info_get_password(proxy_info));
 			}
 		}
